## libvirt 11.0.0

=== debian/changelog ===
libvirt (11.0.0-2ubuntu6.3) plucky; urgency=medium

  [ Lukas Märdian ]
  * d/p/u/lp-2117467-virdevmapper-device-name-for-targets.patch:
    virdevmapper: Always use device name for finding targets. This ensures
    that all the target devices of a multipath device are added to the
    namespace/cgroup of the guest domain.
    Closes LP: #2117467.

  [ Hector Cao ]
  * d/p/u-aa/lp2079869-* : virt-aa-helper: Avoid duplicate when append rule
    (LP: #2120278)

 -- Hector Cao <hector.cao@canonical.com>  Wed, 17 Sep 2025 01:13:17 +0200

libvirt (11.0.0-2ubuntu6.2) plucky; urgency=medium

  * l-d-config-network.postinst: clear 'autostarted' state, to activate
    network on install (LP: #2093864)
  * d/control: Change Pre-Depends to just Depends on l-d-config-network, as it
    turns out the Pre-Depends causes ordering issues and is not actually needed
    (LP: #2107448).

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 02 Jul 2025 10:43:23 +0200

libvirt (11.0.0-2ubuntu6.1) plucky; urgency=medium

  * d/control: Add Pre-Depends on libvirt-daemon-config-network, as
    libvirt-daemon-driver-qemu can modify template data created by
    libvirt-daemon-config-network's .postinst maintainer script.
    (LP: #2107448)

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 16 Apr 2025 10:19:03 +0200

libvirt (11.0.0-2ubuntu6) plucky; urgency=medium

  * Fix potential issue in regard to conffile transfer on upgrades
    (LP: #2105496) backported from 11.1.0-2.
    It was intended to make upgrades smoother, but unfortunately
    it caused serious issues in certain scenarios. Let dpkg's
    built-in logic take care of everything instead
    - d/snippets.sh: Drop custom conffile transfer logic
    - d/control: Drop Recommends on non-QEMU hypervisor drivers
    - d/*.postinst: delete now unused maintainer scripts
    - d/NEWS: inform about the remaining drawbacks for awareness
    - Thanks to Andrea Bolognani for the fix and Kevin Otte for reporting.
  * d/*(post|pre)(rm|inst), d/*.install: drop generated files

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 31 Mar 2025 15:54:27 +0200

libvirt (11.0.0-2ubuntu5) plucky; urgency=medium

  * Rebuild against latest xen

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 16 Mar 2025 08:16:05 -0400

libvirt (11.0.0-2ubuntu4) plucky; urgency=medium

  * apparmor: Allow SGX if configured (LP: #2100024)
    - d/p/u-aa/lp-2100024-Allow-SGX-if-configured.patch

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 12 Mar 2025 11:40:34 +0100

libvirt (11.0.0-2ubuntu3) plucky; urgency=medium

  * Rebuild against new libxen4.20.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Mar 2025 08:14:40 +0100

libvirt (11.0.0-2ubuntu2) plucky; urgency=medium

  * d/p/u/lp2097886: Enable virtio-mem support not in 11.0 (LP: #2097886)

  [ Hector Cao ]
  * d/p/u-aa/lp2079869-*: allow access for bridge helper to sys node
    (LP: #2079869)

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 13 Feb 2025 09:40:13 +0100

libvirt (11.0.0-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2092350). Remaining changes:
    - Disable libssh2 support (universe dependency)
    - d/control: add libzfslinux-dev to build-deps
    - d/control: drop libvirt-lxc, vbox and xen drivers to suggest
    - debian/patches/ubuntu/ovmf_paths.patch: adjust paths to secboot.fd UEFI
      Secure Boot enabled variants of the OVMF firmware and variable store for
      the paths where we ship these files in Ubuntu.
    - Set qemu-group to kvm (for compat with older ubuntu)
    - Additional apport package-hook
    - Autostart default bridged network (As upstream does, but not Debian).
      In addition to just enabling it our solution provides:
      + do not autostart if subnet is already taken (e.g. in guests).
      + iterate some alternative subnets before giving up
    - d/p/ubuntu/Allow-libvirt-group-to-access-the-socket.patch: This is
      the group based access to libvirt functions as it was used in Ubuntu
      for quite a long time.
      + d/p/ubuntu/daemon-augeas-fix-expected.patch fix some related tests
        due to the group access change.
      + d/libvirt-daemon-driver-qemu.postinst*: add users in sudo to the libvirt
        group.
    - Update README.Debian with Ubuntu changes
    - d/p/ubuntu/ubuntu_machine_type.patch: accept ubuntu types as pci440fx
    - fix autopkgtests (LP 1899180)
      + d/t/control, d/t/smoke-qemu-session: fixup smoke-qemu-session by making
        vmlinuz available and accessible (Debian bug 848314)
      + d/t/control: fix smoke-qemu-session by ensuring the service will run
        installing libvirt-daemon-system
      + d/t/smoke-lxc: fix smoke-lxc by ignoring potential issues on destroy as
        long as the following undefine succeeds
      + d/t/smoke-lxc: use systemd instead of sysV to restart the service
      + d/t/control, d/t/smoke-lxc: retry service restart and skip test if
        failing; This was flaky on some release/architectures
      + d/t/smoke-lxc: retry check_domain being flaky on arm64
    - dnsmasq related enhancements
      + run dnsmasq as libvirt-dnsmasq (LP 1743718)
      + d/libvirt-daemon-driver-qemu.postinst*: add libvirt-dnsmasq user and group
      + d/libvirt-daemon-driver-qemu.postrm*: remove libvirt-dnsmasq user and group
        on purge
      + d/p/ubuntu/dnsmasq-as-priv-user: write dnsmasq config with user
        libvirt-dnsmasq and adapt the self tests to expect that config
      + d/libvirt-daemon-system.postinst: fix old libvirt-dnsmasq users group
      + Add dnsmasq configuration to work with system wide dnsmasq-base
    - d/p/ubuntu/set-default-machine-to-ubuntu.patch: to select default
      machine type correctly with newer qemu/libvirt
    - d/p/ubuntu/lp-1861125-ubuntu-models: recognize Ubuntu models for
      (LP 1861125) fixups
    - d/p/ubuntu/wait-for-qemu-kvm.patch - avoid hangs on startup (LP 1887592)
    - d/libvirt-daemon-common.libvirt-guests.default: shut guests down
      in parallel

