=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: libvirt
 Section: libs
 Priority: optional
-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders:
  Guido Günther <agx@sigxcpu.org>,
  Andrea Bolognani <eof@kiyuko.org>,
 Build-Depends:
+ debhelper-compat (= 13),
+ dh-apparmor [linux-any],
  augeas-tools [linux-any],
  bash-completion,
- debhelper-compat (= 13),
- dh-apparmor [linux-any],
  kmod [linux-any],
  libacl1-dev [linux-any],
  libapparmor-dev (>= 3.0.0) [linux-any],
@@ -40,14 +41,14 @@
  libsasl2-dev,
  libselinux1-dev [linux-any],
  libssh-dev,
- libssh2-1-dev,
  libtasn1-6-dev,
  libtirpc-dev,
  libudev-dev [linux-any],
  libwireshark-dev [linux-any],
- libxen-dev [amd64 arm64 armhf],
+ libxen-dev [amd64 arm64],
  libxml2-dev,
  libxml2-utils,
+ libzfslinux-dev [linux-amd64 linux-arm64 linux-armhf linux-i386 linux-ppc64el linux-s390x],
  lvm2 [linux-any],
  meson,
  mount [linux-any],
@@ -78,7 +79,7 @@
 Suggests:
  libvirt-clients-qemu (= ${source:Version}) [amd64 arm64 armel armhf i386 loong64 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  libvirt-daemon (= ${binary:Version}) [linux-any],
- libvirt-login-shell (= ${binary:Version}) [alpha amd64 arm64 armel armhf hppa i386 loong64 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32],
+ libvirt-login-shell (= ${binary:Version}) [linux-any],
 Breaks:
  libvirt-daemon (<< 6.9.0-2~),
  libvirt-daemon-driver-qemu (<< 6.9.0-2~),
@@ -115,9 +116,8 @@
 
 Package: libvirt-login-shell
 Section: admin
-Architecture: alpha amd64 arm64 armel armhf hppa i386 loong64 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
-Depends:
- libvirt-clients (= ${binary:Version}),
+Architecture: linux-any
+Depends:
  libvirt-common (= ${binary:Version}),
  libvirt-daemon-driver-lxc (= ${binary:Version}),
  libvirt0 (= ${binary:Version}),
@@ -149,7 +149,6 @@
  ${shlibs:Depends},
 Recommends:
  libvirt-daemon-driver-interface (= ${binary:Version}),
- libvirt-daemon-driver-lxc (= ${binary:Version}) [alpha amd64 arm64 armel armhf hppa i386 loong64 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32],
  libvirt-daemon-driver-network (= ${binary:Version}),
  libvirt-daemon-driver-nodedev (= ${binary:Version}),
  libvirt-daemon-driver-nwfilter (= ${binary:Version}),
@@ -161,16 +160,17 @@
  libvirt-daemon-driver-storage-logical (= ${binary:Version}),
  libvirt-daemon-driver-storage-mpath (= ${binary:Version}),
  libvirt-daemon-driver-storage-scsi (= ${binary:Version}),
- libvirt-daemon-driver-vbox (= ${binary:Version}) [amd64 i386],
- libvirt-daemon-driver-xen (= ${binary:Version}) [amd64 arm64 armhf],
  libvirt-daemon-lock (= ${binary:Version}),
  libvirt-daemon-plugin-lockd (= ${binary:Version}),
- libvirt-daemon-plugin-sanlock (= ${binary:Version}),
 Suggests:
  libvirt-daemon-driver-storage-gluster (= ${binary:Version}) [amd64 arm64 ia64 loong64 mips64el ppc64 ppc64el riscv64 s390x sparc64],
  libvirt-daemon-driver-storage-iscsi-direct (= ${binary:Version}),
  libvirt-daemon-driver-storage-rbd (= ${binary:Version}) [amd64 arm64 loong64 mips64el ppc64el riscv64 s390x],
  libvirt-daemon-driver-storage-zfs (= ${binary:Version}),
+ libvirt-daemon-driver-lxc (= ${binary:Version}) [linux-any],
+ libvirt-daemon-driver-vbox (= ${binary:Version}) [amd64 i386],
+ libvirt-daemon-driver-xen (= ${binary:Version}) [amd64 arm64],
+ libvirt-daemon-plugin-sanlock (= ${binary:Version}),
  libvirt-daemon-system (= ${binary:Version}),
 Conflicts:
  libvirt-daemon-system (<< 10.6.0-2~),
@@ -280,6 +280,7 @@
 Depends:
  adduser,
  libvirt-common (= ${binary:Version}),
+ libvirt-daemon-config-network (= ${binary:Version}),
  libvirt-daemon-log (= ${binary:Version}),
  libvirt0 (= ${binary:Version}),
  logrotate,
@@ -288,11 +289,11 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- passt,
  swtpm,
  swtpm-tools,
 Suggests:
  numad,
+ passt,
 Enhances:
  qemu-kvm,
  qemu-system,
@@ -312,7 +313,7 @@
 
 Package: libvirt-daemon-driver-lxc
 Section: admin
-Architecture: alpha amd64 arm64 armel armhf hppa i386 loong64 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
+Architecture: linux-any
 Multi-Arch: no
 Depends:
  libvirt-common (= ${binary:Version}),
@@ -333,3 +334,15 @@
  Libvirt is a C toolkit to interact with the virtualization capabilities
  of recent versions of Linux (and other OSes). The library aims at providing
  a long term stable C API for different virtualization mechanisms. It currently
+ supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
+ .
+ This package contains the libvirtd connection driver for LXC.
+
+Package: libvirt-daemon-driver-vbox
+Section: admin
+Architecture: amd64 i386
+Multi-Arch: no
+Depends:
+ libvirt-common (= ${binary:Version}),
+ libvirt-daemon (= ${binary:Version}),
+ libvirt0 (= ${binary:Version}),
