=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
     WITH_UDEV                 = -Dudev=enabled -Dpciaccess=enabled
     WITH_CAPNG                = -Dcapng=enabled
     WITH_LIBNL                = -Dlibnl=enabled
-    WITH_NETWORK              = -Ddriver_network=enabled -Dfirewall_backend_priority=nftables,iptables
+    WITH_NETWORK              = -Ddriver_network=enabled -Dfirewall_backend_priority=iptables,nftables
     WITH_INTERFACE            = -Ddriver_interface=enabled
     WITH_SECRETS              = -Ddriver_secrets=enabled
     WITH_OPENVZ               = -Ddriver_openvz=enabled
@@ -55,6 +55,8 @@
     WITH_NUMA                 = -Dnumactl=enabled -Dnumad=enabled
     WITH_SYSCTL               = -Dsysctl_config=enabled -Duserfaultfd_sysctl=enabled
     WITH_WIRESHARK            = -Dwireshark_dissector=enabled
+    WITH_LXC                  = -Ddriver_lxc=enabled
+    WITH_LOGIN_SHELL          = -Dlogin_shell=enabled
 else
     WITH_DAEMONS              = -Ddriver_libvirtd=disabled -Dhost_validate=disabled -Dssh_proxy=disabled
     WITH_ESX                  = -Ddriver_esx=disabled -Dcurl=disabled
@@ -73,7 +75,7 @@
     WITH_UDEV                 = -Dudev=disabled -Dpciaccess=disabled
     WITH_CAPNG                = -Dcapng=disabled
     WITH_LIBNL                = -Dlibnl=disabled
-    WITH_NETWORK              = -Ddriver_network=disabled -Dfirewall_backend_priority=nftables,iptables
+    WITH_NETWORK              = -Ddriver_network=disabled -Dfirewall_backend_priority=iptables,nftables
     WITH_INTERFACE            = -Ddriver_interface=disabled
     WITH_SECRETS              = -Ddriver_secrets=disabled
     WITH_OPENVZ               = -Ddriver_openvz=disabled
@@ -92,6 +94,8 @@
     WITH_NUMA                 = -Dnumactl=disabled -Dnumad=disabled
     WITH_SYSCTL               = -Dsysctl_config=disabled -Duserfaultfd_sysctl=disabled
     WITH_WIRESHARK            = -Dwireshark_dissector=disabled
+    WITH_LXC                  = -Ddriver_lxc=disabled
+    WITH_LOGIN_SHELL          = -Dlogin_shell=disabled
 endif
 
 ifneq (,$(filter $(DEB_HOST_ARCH), $(ARCHES_CEPH)))
@@ -108,13 +112,6 @@
     WITH_QEMU                 = -Ddriver_qemu=enabled
 else
     WITH_QEMU                 = -Ddriver_qemu=disabled
-endif
-ifneq (,$(findstring $(DEB_HOST_ARCH), $(ARCHES_LXC)))
-    WITH_LXC                  = -Ddriver_lxc=enabled
-    WITH_LOGIN_SHELL          = -Dlogin_shell=enabled
-else
-    WITH_LXC                  = -Ddriver_lxc=disabled
-    WITH_LOGIN_SHELL          = -Dlogin_shell=disabled
 endif
 ifneq (,$(filter $(DEB_HOST_ARCH), $(ARCHES_XEN)))
     WITH_LIBXL                = -Ddriver_libxl=enabled
@@ -153,7 +150,7 @@
     -Dopenwsman=disabled \
     -Ddriver_vz=disabled \
     -Dqemu_user=libvirt-qemu \
-    -Dqemu_group=libvirt-qemu \
+    -Dqemu_group=kvm \
     -Dqemu_moddir=/usr/lib/$(DEB_HOST_MULTIARCH)/qemu \
     -Dqemu_datadir=/usr/share/qemu \
     -Ddocs=enabled \
@@ -164,7 +161,7 @@
     -Dtls_priority=NORMAL \
     $(WITH_OPENVZ) \
     -Dsasl=enabled \
-    -Dlibssh2=enabled \
+    -Dlibssh2=disabled \
     -Dlibssh=enabled \
     -Dreadline=enabled \
     -Dbash_completion=enabled \
@@ -184,3 +181,7 @@
     $(WITH_STORAGE_GLUSTER) \
     $(WITH_STORAGE_MPATH) \
     $(WITH_STORAGE_ZFS) \
+    -Dstorage_vstorage=disabled \
+    $(WITH_BLKID) \
+    $(WITH_FUSE) \
+    $(WITH_INIT_SCRIPT) \
