=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libvirt
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders:
  Guido Günther <agx@sigxcpu.org>,
  Andrea Bolognani <eof@kiyuko.org>,
@@ -41,6 +40,7 @@
  libsasl2-dev,
  libselinux1-dev [linux-any],
  libssh-dev,
+ libssh2-1-dev,
  libtasn1-6-dev,
  libtirpc-dev,
  libudev-dev [linux-any],
@@ -48,7 +48,6 @@
  libxen-dev [amd64 arm64],
  libxml2-dev,
  libxml2-utils,
- libzfslinux-dev [linux-amd64 linux-arm64 linux-armhf linux-i386 linux-ppc64el linux-s390x],
  lvm2 [linux-any],
  meson,
  mount [linux-any],
@@ -63,7 +62,7 @@
 Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt.git
 Vcs-Browser: https://salsa.debian.org/libvirt-team/libvirt
 Homepage: https://libvirt.org/
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 
 Package: libvirt-clients
@@ -163,14 +162,13 @@
  libvirt-daemon-lock (= ${binary:Version}),
  libvirt-daemon-plugin-lockd (= ${binary:Version}),
 Suggests:
+ libvirt-daemon-driver-lxc (= ${binary:Version}) [linux-any],
  libvirt-daemon-driver-storage-gluster (= ${binary:Version}) [amd64 arm64 ia64 loong64 mips64el ppc64 ppc64el riscv64 s390x sparc64],
  libvirt-daemon-driver-storage-iscsi-direct (= ${binary:Version}),
  libvirt-daemon-driver-storage-rbd (= ${binary:Version}) [amd64 arm64 loong64 mips64el ppc64el riscv64 s390x],
  libvirt-daemon-driver-storage-zfs (= ${binary:Version}),
- libvirt-daemon-driver-lxc (= ${binary:Version}) [linux-any],
  libvirt-daemon-driver-vbox (= ${binary:Version}) [amd64 i386],
  libvirt-daemon-driver-xen (= ${binary:Version}) [amd64 arm64],
- libvirt-daemon-plugin-sanlock (= ${binary:Version}),
  libvirt-daemon-system (= ${binary:Version}),
 Conflicts:
  libvirt-daemon-system (<< 10.6.0-2~),
@@ -280,7 +278,6 @@
 Depends:
  adduser,
  libvirt-common (= ${binary:Version}),
- libvirt-daemon-config-network (= ${binary:Version}),
  libvirt-daemon-log (= ${binary:Version}),
  libvirt0 (= ${binary:Version}),
  logrotate,
@@ -289,11 +286,11 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
+ passt,
  swtpm,
  swtpm-tools,
 Suggests:
  numad,
- passt,
 Enhances:
  qemu-kvm,
  qemu-system,
@@ -346,3 +343,8 @@
  libvirt-common (= ${binary:Version}),
  libvirt-daemon (= ${binary:Version}),
  libvirt0 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Virtualization daemon VirtualBox connection driver
+ Libvirt is a C toolkit to interact with the virtualization capabilities
+ of recent versions of Linux (and other OSes). The library aims at providing
